#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmag
Epoch:          2
Version: 17.12.2
Release:        %mkrel %{rel}
Summary:        Screen magnifier for Plasma 5
Group:          Accessibility
License:        GPLv2 and GFDL
URL:            http://www.kde.org/applications/utilities/kmag/
Source:         http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5PrintSupport)

BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5XmlGui)

## needs Qt5 build
#BuildRequires:  cmake(QAccessibilityClient)

Recommends:     kmag-handbook

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.08.0-1
Conflicts:      kde-l10n-bg < 17.08.0-1
Conflicts:      kde-l10n-bs < 17.08.0-1
Conflicts:      kde-l10n-ca < 17.08.0-1
Conflicts:      kde-l10n-ca-valencia < 17.08.0-1
Conflicts:      kde-l10n-cs < 17.08.0-1
Conflicts:      kde-l10n-da < 17.08.0-1
Conflicts:      kde-l10n-de < 17.08.0-1
Conflicts:      kde-l10n-el < 17.08.0-1
Conflicts:      kde-l10n-en_GB < 17.08.0-1
Conflicts:      kde-l10n-en_US < 17.08.0-1
Conflicts:      kde-l10n-es < 17.08.0-1
Conflicts:      kde-l10n-et < 17.08.0-1
Conflicts:      kde-l10n-eu < 17.08.0-1
Conflicts:      kde-l10n-fa < 17.08.0-1
Conflicts:      kde-l10n-fi < 17.08.0-1
Conflicts:      kde-l10n-fr < 17.08.0-1
Conflicts:      kde-l10n-ga < 17.08.0-1
Conflicts:      kde-l10n-gl < 17.08.0-1
Conflicts:      kde-l10n-he < 17.08.0-1
Conflicts:      kde-l10n-hi < 17.08.0-1
Conflicts:      kde-l10n-hr < 17.08.0-1
Conflicts:      kde-l10n-hu < 17.08.0-1
Conflicts:      kde-l10n-ia < 17.08.0-1
Conflicts:      kde-l10n-id < 17.08.0-1
Conflicts:      kde-l10n-is < 17.08.0-1
Conflicts:      kde-l10n-it < 17.08.0-1
Conflicts:      kde-l10n-ja < 17.08.0-1
Conflicts:      kde-l10n-kk < 17.08.0-1
Conflicts:      kde-l10n-km < 17.08.0-1
Conflicts:      kde-l10n-ko < 17.08.0-1
Conflicts:      kde-l10n-lt < 17.08.0-1
Conflicts:      kde-l10n-lv < 17.08.0-1
Conflicts:      kde-l10n-mr < 17.08.0-1
Conflicts:      kde-l10n-nb < 17.08.0-1
Conflicts:      kde-l10n-nds < 17.08.0-1
Conflicts:      kde-l10n-nl < 17.08.0-1
Conflicts:      kde-l10n-nn < 17.08.0-1
Conflicts:      kde-l10n-pa < 17.08.0-1
Conflicts:      kde-l10n-pl < 17.08.0-1
Conflicts:      kde-l10n-pt < 17.08.0-1
Conflicts:      kde-l10n-pt_BR < 17.08.0-1
Conflicts:      kde-l10n-ro < 17.08.0-1
Conflicts:      kde-l10n-ru < 17.08.0-1
Conflicts:      kde-l10n-sk < 17.08.0-1
Conflicts:      kde-l10n-sl < 17.08.0-1
Conflicts:      kde-l10n-sr < 17.08.0-1
Conflicts:      kde-l10n-sv < 17.08.0-1
Conflicts:      kde-l10n-tr < 17.08.0-1
Conflicts:      kde-l10n-ug < 17.08.0-1
Conflicts:      kde-l10n-uk < 17.08.0-1
Conflicts:      kde-l10n-wa < 17.08.0-1
Conflicts:      kde-l10n-zh_CN < 17.08.0-1
Conflicts:      kde-l10n-zh_TW < 17.08.0-1

%description
KMag is a small utility for Linux to magnify a part of the screen. KMag is very
useful for people with visual disabilities and for those working in the fields
of image analysis, web development etc.

%files -f %name.lang
%_kf5_bindir/kmag
%_kf5_applicationsdir/*.desktop
%_kf5_iconsdir/hicolor/*/*/kmag*
%_kf5_datadir/kmag/
%_kf5_datadir/kxmlgui5/kmag/
%_kf5_datadir/appdata/org.kde.kmag.appdata.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        Kmag handbook
Group:          Documentation
BuildArch:      noarch

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.08.0-1
Conflicts:      kde-l10n-handbooks-bg < 17.08.0-1
Conflicts:      kde-l10n-handbooks-bs < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ca < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.08.0-1
Conflicts:      kde-l10n-handbooks-cs < 17.08.0-1
Conflicts:      kde-l10n-handbooks-da < 17.08.0-1
Conflicts:      kde-l10n-handbooks-de < 17.08.0-1
Conflicts:      kde-l10n-handbooks-el < 17.08.0-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.08.0-1
Conflicts:      kde-l10n-handbooks-en_US < 17.08.0-1
Conflicts:      kde-l10n-handbooks-es < 17.08.0-1
Conflicts:      kde-l10n-handbooks-et < 17.08.0-1
Conflicts:      kde-l10n-handbooks-eu < 17.08.0-1
Conflicts:      kde-l10n-handbooks-fa < 17.08.0-1
Conflicts:      kde-l10n-handbooks-fi < 17.08.0-1
Conflicts:      kde-l10n-handbooks-fr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ga < 17.08.0-1
Conflicts:      kde-l10n-handbooks-gl < 17.08.0-1
Conflicts:      kde-l10n-handbooks-he < 17.08.0-1
Conflicts:      kde-l10n-handbooks-hi < 17.08.0-1
Conflicts:      kde-l10n-handbooks-hr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-hu < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ia < 17.08.0-1
Conflicts:      kde-l10n-handbooks-id < 17.08.0-1
Conflicts:      kde-l10n-handbooks-is < 17.08.0-1
Conflicts:      kde-l10n-handbooks-it < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ja < 17.08.0-1
Conflicts:      kde-l10n-handbooks-kk < 17.08.0-1
Conflicts:      kde-l10n-handbooks-km < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ko < 17.08.0-1
Conflicts:      kde-l10n-handbooks-lt < 17.08.0-1
Conflicts:      kde-l10n-handbooks-lv < 17.08.0-1
Conflicts:      kde-l10n-handbooks-mr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-nb < 17.08.0-1
Conflicts:      kde-l10n-handbooks-nds < 17.08.0-1
Conflicts:      kde-l10n-handbooks-nl < 17.08.0-1
Conflicts:      kde-l10n-handbooks-nn < 17.08.0-1
Conflicts:      kde-l10n-handbooks-pa < 17.08.0-1
Conflicts:      kde-l10n-handbooks-pl < 17.08.0-1
Conflicts:      kde-l10n-handbooks-pt < 17.08.0-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ro < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ru < 17.08.0-1
Conflicts:      kde-l10n-handbooks-sk < 17.08.0-1
Conflicts:      kde-l10n-handbooks-sl < 17.08.0-1
Conflicts:      kde-l10n-handbooks-sr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-sv < 17.08.0-1
Conflicts:      kde-l10n-handbooks-tr < 17.08.0-1
Conflicts:      kde-l10n-handbooks-ug < 17.08.0-1
Conflicts:      kde-l10n-handbooks-uk < 17.08.0-1
Conflicts:      kde-l10n-handbooks-wa < 17.08.0-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.08.0-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.08.0-1

%description handbook
KMag is a small utility for Linux to magnify a part of the screen. KMag is very
useful for people with visual disabilities and for those working in the fields
of image analysis, web development etc.

This package provides kmag handbook & mandir.

%files handbook
%doc AUTHORS ChangeLog COPYING COPYING.DOC README TODO
%doc %_kf5_docdir/HTML/*/kmag
%_kf5_mandir/man1/kmag.1.*
%_kf5_mandir/*/man1/kmag.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%{_kf5_bindir}/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 2:17.12.2-1.mga6
+ Revision: 1202287
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090085
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076825
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1072028
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067347
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061406
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050672
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047314
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040073
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012559
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004349
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994905
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991195
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987464
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922633
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 912015
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 905485
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901034
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880871
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 866302
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 2:15.07.80-1.mga6
+ Revision: 859172
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800613
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787699
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 750391
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734561
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 681110
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667498
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 663010
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656688
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Tue Jul 22 2014 lmenut <lmenut> 2:4.13.90-2.mga5
+ Revision: 655679
- add BuildRequires libqaccessibilityclient-devel

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653874
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 651980
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636748
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625515
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615592
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609408
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606849
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603356
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 600691
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590477
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 2:4.11.5-1.mga5
+ Revision: 580870
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555008
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551276
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 540269
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490782
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488635
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476872
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465215
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458926
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455312
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447985
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435347
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428461
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407272
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401895
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394439
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339541
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334601
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326802
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320321
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316197
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301973
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289777
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277083
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269689
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 266204
- New version 4.8.95
- Remove trailing space

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257262
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228481
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221487
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198333
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191007
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 186260
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181445
- imported package kmag

